libvisio::VSDInfiniteLine Class Reference documentation

libvisio::VSDInfiniteLine Class Reference
Inheritance diagram for libvisio::VSDInfiniteLine:

## Public Member Functions
| VSDInfiniteLine (unsigned id, unsigned level, const std::optional< double > &x1, const std::optional< double > &y1, const std::optional< double > &x2, const std::optional< double > &y2)
| ~VSDInfiniteLine () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDInfiniteLine()

libvisio::VSDInfiniteLine::VSDInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x1,
|  | const std::optional< double > & | y1,
|  | const std::optional< double > & | x2,
|  | const std::optional< double > & | y2 )
| inline

Referenced by clone().

## ◆ ~VSDInfiniteLine()

libvisio::VSDInfiniteLine::~VSDInfiniteLine | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDInfiniteLine::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDInfiniteLine::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_x1

double libvisio::VSDInfiniteLine::m_x1

Referenced by clone(), handle(), and VSDInfiniteLine().

## ◆ m_x2

double libvisio::VSDInfiniteLine::m_x2

Referenced by clone(), handle(), and VSDInfiniteLine().

## ◆ m_y1

double libvisio::VSDInfiniteLine::m_y1

Referenced by clone(), handle(), and VSDInfiniteLine().

## ◆ m_y2

double libvisio::VSDInfiniteLine::m_y2

Referenced by clone(), handle(), and VSDInfiniteLine().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp